#include "xcleafbrushnodechildren.h"

XCLeafBrushNodeChildren::XCLeafBrushNodeChildren()
    : XAsset()
    , mDist(0.0f)
    , mRange(0.0f)
    , mChildOffset()
{
}

XCLeafBrushNodeChildren::~XCLeafBrushNodeChildren()
{

}

void XCLeafBrushNodeChildren::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        *aStream
            >> mDist
            >> mRange
            >> mChildOffset[0]
            >> mChildOffset[1];
    }
}

void XCLeafBrushNodeChildren::Clear()
{
    mDist = 0.0f;
    mRange = 0.0f;
    mChildOffset = QVector<quint32>();
}
